<?php
/**
 * Fonts Customizer
 */

/**
 * Register the customizer.
 */
function joblist_fonts_customize_register( $wp_customize ) {

	// Register new section: Fonts
	$wp_customize->add_section( 'joblist_fonts' , array(
		'title'       => esc_html__( 'Fonts', 'joblist' ),
		'description' => sprintf( __( 'These options is used for customizing the fonts. Please <a href="%s" target="_blank">read the documentation</a> if you don&quot;t understand how to use it.', 'joblist' ), 'https://www.theme-junkie.com/documentation/joblist/#typography' ),
		'panel'       => 'joblist_options',
		'priority'    => 5
	) );

	// Register heading custom text.
	$wp_customize->add_setting( 'joblist_heading_font_title', array(
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Joblist_Custom_Title_Control( $wp_customize, 'joblist_heading_font_title', array(
		'label'             => esc_html__( 'Heading', 'joblist' ),
		'section'           => 'joblist_fonts',
		'priority'          => 2
	) ) );

	// Register heading font setting.
	$wp_customize->add_setting( 'joblist_heading_font', array(
		'default'           => 'Montserrat:400,400i,600,600i',
		'sanitize_callback' => 'wp_kses_post',
	) );
	$wp_customize->add_control( 'joblist_heading_font', array(
		'description'       => esc_html__( 'Font name/style/sets', 'joblist' ),
		'section'           => 'joblist_fonts',
		'priority'          => 3,
		'type'              => 'text'
	) );

	// Register heading font family setting.
	$wp_customize->add_setting( 'joblist_heading_font_family', array(
		'default'           => '\'Montserrat\', sans-serif',
		'sanitize_callback' => 'wp_kses_post',
	) );
	$wp_customize->add_control( 'joblist_heading_font_family', array(
		'description'       => esc_html__( 'Font family', 'joblist' ),
		'section'           => 'joblist_fonts',
		'priority'          => 4,
		'type'              => 'text'
	) );

	// Register heading custom text.
	$wp_customize->add_setting( 'joblist_body_font_title', array(
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Joblist_Custom_Title_Control( $wp_customize, 'joblist_body_font_title', array(
		'label'             => esc_html__( 'Body', 'joblist' ),
		'section'           => 'joblist_fonts',
		'priority'          => 5
	) ) );

	// Register body font setting.
	$wp_customize->add_setting( 'joblist_body_font', array(
		'default'           => 'Montserrat:400,400i,600,600i',
		'sanitize_callback' => 'wp_kses_post',
	) );
	$wp_customize->add_control( 'joblist_body_font', array(
		'description'       => esc_html__( 'Font name/style/sets', 'joblist' ),
		'section'           => 'joblist_fonts',
		'priority'          => 6,
		'type'              => 'text'
	) );

	// Register body font family setting.
	$wp_customize->add_setting( 'joblist_body_font_family', array(
		'default'           => '\'Montserrat\', sans-serif',
		'sanitize_callback' => 'wp_kses_post',
	) );
	$wp_customize->add_control( 'joblist_body_font_family', array(
		'description'       => esc_html__( 'Font family', 'joblist' ),
		'section'           => 'joblist_fonts',
		'priority'          => 7,
		'type'              => 'text'
	) );

}
add_action( 'customize_register', 'joblist_fonts_customize_register' );
