<?php
/**
 * General Customizer
 */

/**
 * Register the customizer.
 */
function joblist_general_customize_register( $wp_customize ) {

	// Register new section: General
	$wp_customize->add_section( 'joblist_general' , array(
		'title'    => esc_html__( 'General', 'joblist' ),
		'panel'    => 'joblist_options',
		'priority' => 1
	) );

	// Register container setting
	$wp_customize->add_setting( 'joblist_container_style', array(
		'default'           => 'fullwidth',
		'sanitize_callback' => 'joblist_sanitize_select',
	) );
	$wp_customize->add_control( 'joblist_container_style', array(
		'label'             => esc_html__( 'Container', 'joblist' ),
		'section'           => 'joblist_general',
		'priority'          => 1,
		'type'              => 'radio',
		'choices'           => array(
			'fullwidth' => esc_html__( 'Full Width', 'joblist' ),
			'boxed'     => esc_html__( 'Boxed', 'joblist' ),
			'framed'    => esc_html__( 'Framed', 'joblist' )
		)
	) );

	// Register pagination setting
	$wp_customize->add_setting( 'joblist_posts_pagination', array(
		'default'           => 'traditional',
		'sanitize_callback' => 'joblist_sanitize_select',
	) );
	$wp_customize->add_control( 'joblist_posts_pagination', array(
		'label'             => esc_html__( 'Pagination type', 'joblist' ),
		'section'           => 'joblist_general',
		'priority'          => 3,
		'type'              => 'radio',
		'choices'           => array(
			'number'      => esc_html__( 'Number', 'joblist' ),
			'traditional' => esc_html__( 'Older / Newer', 'joblist' ),
			'load_more'   => esc_html__( 'Load More', 'joblist' ),
		)
	) );

	// Register sticky sidebar setting
	$wp_customize->add_setting( 'joblist_sticky_sidebar', array(
		'default'           => 0,
		'sanitize_callback' => 'joblist_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'joblist_sticky_sidebar', array(
		'label'             => esc_html__( 'Enable sticky sidebar', 'joblist' ),
		'section'           => 'joblist_general',
		'priority'          => 5,
		'type'              => 'checkbox'
	) );

	// Register back to top setting
	$wp_customize->add_setting( 'joblist_back_to_top', array(
		'default'           => 1,
		'sanitize_callback' => 'joblist_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'joblist_back_to_top', array(
		'label'             => esc_html__( 'Enable back to top button', 'joblist' ),
		'section'           => 'joblist_general',
		'priority'          => 7,
		'type'              => 'checkbox'
	) );

	// Register custom RSS setting
	$wp_customize->add_setting( 'joblist_custom_rss', array(
		'default'           => '',
		'sanitize_callback' => 'joblist_sanitize_url',
	) );
	$wp_customize->add_control( 'joblist_custom_rss', array(
		'label'             => esc_html__( 'Custom RSS', 'joblist' ),
		'description'       => esc_html__( 'Replace the default WordPress RSS URL.', 'joblist' ),
		'section'           => 'joblist_general',
		'priority'          => 9,
		'type'              => 'url'
	) );

}
add_action( 'customize_register', 'joblist_general_customize_register' );
