<?php
/**
 * Single view Company information box
 *
 * Hooked into single_job_listing_start priority 30
 *
 * This template can be overridden by copying it to yourtheme/job_manager/content-single-job_listing-company.php.
 *
 * @see         https://wpjobmanager.com/document/template-overrides/
 * @author      Automattic
 * @package     WP Job Manager
 * @category    Template
 * @since       1.14.0
 * @version     1.31.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! get_the_company_name() ) {
	return;
}
?>
<div class="company">
	<?php the_company_logo( 'large' ); ?>
	<?php the_company_name( '<p class="company-name">', '</p>' ); ?>
	<?php the_company_tagline( '<p class="tagline">', '</p>' ); ?>

	<p class="name">
		<?php if ( $website = get_the_company_website() ) : ?>
			<a class="website" href="<?php echo esc_url( $website ); ?>" target="_blank" rel="nofollow"><?php esc_html_e( 'Website', 'joblist' ); ?></a>
		<?php endif; ?>
		<?php the_company_twitter(); ?>
	</p>

	<?php if ( candidates_can_apply() ) : ?>
		<?php get_job_manager_template( 'job-application.php' ); ?>
	<?php endif; ?>
</div>
